﻿using Hotline.Caching.Interfaces;
using Hotline.CallCenter.Tels;
using Hotline.DI;
using Hotline.Repository.SqlSugar.CallCenter;
using Hotline.Users;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Application.StatisticalReport.CallReport;

[Injection(AppScopes = EAppScope.ZiGong)]
public class ZiGongCallReportApplication : CallReportApplicationBase, ICallReportApplication, IScopeDependency
{
    public ZiGongCallReportApplication(ISystemSettingCacheManager systemSettingCacheManager, ICallNativeRepository callNativeRepository, IRepository<User> userRepository, IRepository<Work> workRepository, IRepository<TelRest> telRestRepository) : base(systemSettingCacheManager, callNativeRepository, userRepository, workRepository, telRestRepository)
    {
    }
}
