﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Settings;
using Hotline.Share.Dtos.Identity;
using Hotline.Users;

namespace Hotline.Application.Identity
{
    public interface IIdentityAppService
    {
        Task<string> LoginAsync(LoginDto dto, CancellationToken cancellationToken);

        Task<string> OldToNewLoginAsync(HotlineLoginOldToNewDto dto, CancellationToken cancellationToken);

        Task<(bool,bool,User)> IsCheckAdmin(string userName);
    }
}
