﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Configurations
{
	public class CityBaseConfiguration
	{
		public CityProvinceConfiguration CityProvince { get; set; }

		public CityProvinceAssignConfiguration CityProvinceAssign { get; set; }
		public PublicSecurityConfiguration PublicSecurity { get; set; }
		public CityEnterpriseConfiguration CityEnterprise { get; set; }
		public ComprehensiveTreatmentConfiguration ComprehensiveTreatment { get; set; }
	}

	public class CityProvinceConfiguration : DefaultCityBaseConfiguration
	{
	}
	public class CityProvinceAssignConfiguration : DefaultCityBaseConfiguration
	{
	}
	public class PublicSecurityConfiguration : DefaultCityBaseConfiguration
	{
	}
	public class CityEnterpriseConfiguration : DefaultCityBaseConfiguration
	{
	}
	public class ComprehensiveTreatmentConfiguration : DefaultCityBaseConfiguration
	{
	}

	public abstract class DefaultCityBaseConfiguration
	{
		public string UserId { get; set; }
		public string UserName { get; set; }
		public string OrgId { get; set; }
		public string OrgName { get; set; }
	}
}
