﻿using Hotline.Share.Enums.JudicialManagement;
using XF.Domain.Repository;

namespace Hotline.JudicialManagement
{
    public class EnforcementOrdersHandler : CreationSoftDeleteEntity
    {
        /// <summary>
        /// 工单Id
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string? OrderNo { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        public EOrderSoure? OrderSoure { get; set; }

        /// <summary>
        ///部门编号
        /// </summary>
        public string OrgCode { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string OrgName { get; set; }
    }
}
